For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Projects

Create a project credential

||View as Markdown|
POST
https://tester.army/v1/projects/:projectId/credentials
POST
/v1/projects/:projectId/credentials
$curl -X POST https://tester.army/v1/projects/projectId/credentials \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "kind": "login",
> "label": "string",
> "username": "string",
> "password": "string"
>}'
1{
2 "credential": {
3 "id": "string",
4 "kind": "login",
5 "authMethod": "password",
6 "label": "string",
7 "username": "string",
8 "hasAuthInstructions": true,
9 "createdAt": "2024-01-15T09:30:00Z"
10 }
11}
Create a login or inbox credential for a project. Passwords are not returned.
Was this page helpful?
Previous

List project credentials

Next

List project memories

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

projectIdstringRequired
Project ID or shortId

Request

This endpoint expects an object.
objectRequired
OR
objectRequired
OR
objectRequired

Response

Credential created
credentialobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error